Bug 3707 - Add system preference for customization of the OPAC login page
Summary: Add system preference for customization of the OPAC login page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 10 votes (vote)
Target Milestone: ---
Assignee: Chris Cormack
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-13 03:09 UTC by Owen Leonard
Modified: 2019-03-16 09:53 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:14:01 UTC


---- Reported by oleonard@myacpl.org 2009-10-13 15:09:07 ----

The text which accompanies the OPAC login page (found in opac-auth.tmpl) attempts to be generic but cannot satisfy all libraries:


"Don't have a password yet?

If you don't have a password yet, stop by the circulation desk the next time you're in the library. We'll happily set one up for you.

Don't have a library card?

If you don't have a library card, stop by your local library to sign up."

I propose that a new system preference be created which by default contains the HTML of this message, enabling libraries to easily customize it.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:14 UTC  ---

This bug was previously known as _bug_ 3707 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3707

Actual time not defined. Setting to 0.0

Comment 1 MJ Ray (software.coop) 2013-01-09 14:21:40 UTC
Would this be possible in this way or would it mess up translations?

It could be done by customising the templates already, can't it?
Comment 2 Katrin Fischer 2013-01-09 14:27:34 UTC
We could have the hardcoded text as a fall back, when no individual message is set in the system preference, that way there would not be a regression for translatons.
Long term I think we need a way to handle the html prefs for the OPAC similar to news, where you can have different entries for every language you want.
Comment 3 Nicole C. Engard 2013-01-09 17:15:09 UTC
I agree with Katrin.  There should be something there, but it should also be customizable.
Comment 4 Katrin Fischer 2019-03-16 09:53:47 UTC
I think this was resolved by adding OpacLoginInstructions.